GNU bug report logs - #43944
28.0.50; Update modus-operandi, modus-vivendi themes to v0.13.0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Protesilaos Stavrou <info@HIDDEN>; Done: Stefan Kangas <stefankangas@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 19 Oct 2020 16:59:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 12:59:47 2020
Received: from localhost ([127.0.0.1]:42213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUYVe-0007BU-Qx
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 12:59:47 -0400
Received: from mail-ed1-f47.google.com ([209.85.208.47]:41010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kUYVO-0007Az-KZ
 for 43944 <at> debbugs.gnu.org; Mon, 19 Oct 2020 12:59:45 -0400
Received: by mail-ed1-f47.google.com with SMTP id l24so29023edj.8
 for <43944 <at> debbugs.gnu.org>; Mon, 19 Oct 2020 09:59:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=nA/xMpxRE+u/J4FJPF7XHZiQM2CcYuEjdDawWOSU18U=;
 b=K+kOQRXJ13mNQtaCG+cdr5V4qftrb0V4z0C7IAiJx2w7AfbXTNb9NST3p2GLufwZvb
 s4E2WdfOG0PgJVDbijxYeZKrrpsuW2MDg/F7L89HRz1fSog3FzM1AXrCfvcwJgzqPJRt
 QX9jBlLl5Zt3pbDvb5+7R2ixjRpRJpy+h6S+KwCwXKlZ+KqXWTzSZ4fG2fJtxuEfGGVI
 iizpSyFsBsbK8xtgdvvOlDGQZIfBiwbeWQfEamXV6qYLUQgRZwdpLszBFTj1a5iFei3Q
 GitzU6vTCCj19TFuYytW23kamfcDaU0zlN2lRX2c+BN/zFLUJRSNNZbuAZzGTR5T8SKu
 Dn7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=nA/xMpxRE+u/J4FJPF7XHZiQM2CcYuEjdDawWOSU18U=;
 b=DFkf6ZXAHHlLS9NPv2f41GbdNANiM86j4mQMiwB/vLYa9BXBr402zQOvo2CxKHE/Kq
 lqzs/WuPQZOPItuhkcyNUXp9r1nS+KKXDfxqaXae/I9+hAXFi4itaKbw+IVZRH/Df5C2
 9OfXHvxviKk6T+Hb6x8hfr6VvuCpjFBVNY0VzmyVmaZ0gGhp91CGvMlEX9cAxXiqdNoZ
 LqBi4Kv8/kuAr9d4xLgLU2k0WrmgTa/GqM8pZjha8VWbMjZU8dodB5Skd84XzcFE/Hmo
 fQVhtiXMqBQ02/88M7V1cFJHS8SeHt0l1n248ZLkrQrh4VuH8eky41h7N6GwS82pqWNy
 x12Q==
X-Gm-Message-State: AOAM531T54JnEZUSWQdbQ4Yyk3iNculVI6EHXyoQ4A4tgL9hIAJ5s6Ri
 ovomR7TZlQeiMctEs1q0ji7B8tGpRzbKwedGtA4=
X-Google-Smtp-Source: ABdhPJxhNV6VwWWdjfr0T/KyDCxNa5IntmpzQbTmH++dFp69j4ErhHqvyyKURJaQPc97b6dZOtL9xpbAsPsn52Hr2e0=
X-Received: by 2002:aa7:c259:: with SMTP id y25mr702108edo.249.1603126764742; 
 Mon, 19 Oct 2020 09:59:24 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 19 Oct 2020 16:59:24 +0000
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87r1punpih.fsf@HIDDEN>
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 <83mu0mur26.fsf@HIDDEN> <87mu0lx5us.fsf@HIDDEN>
 <83362duxy6.fsf@HIDDEN>
 <87tuutjmu7.fsf@HIDDEN> <87v9f9w7mr.fsf@HIDDEN>
 <878sc2bpt3.fsf@HIDDEN> <87r1punpih.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 19 Oct 2020 16:59:23 +0000
Message-ID: <CADwFkmmV4dRe2GkqoGhyaHFZ8WrLrqtV36iMdK+xdWMsA9JEvA@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
To: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Protesilaos Stavrou <info@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> I'm in no hurry - the only reason I asked you instead of fixing it
> myself, is that I saw you were already in the process of applying
> feedback, and I didn't have the time to look into regenerating the
> Texinfo manual from Org.

This was fixed in Protesilaos' follow-up commit 4970e2c7ea.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 19 Oct 2020 16:56:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 12:56:09 2020
Received: from localhost ([127.0.0.1]:42209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUYS9-00076B-Aj
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 12:56:09 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:57869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kUYS6-00075b-Ep
 for 43944 <at> debbugs.gnu.org; Mon, 19 Oct 2020 12:56:08 -0400
Received: from kronos (unknown [213.207.159.38])
 (Authenticated sender: public@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 101B2100008;
 Mon, 19 Oct 2020 16:55:58 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 <83mu0mur26.fsf@HIDDEN> <87mu0lx5us.fsf@HIDDEN>
 <83362duxy6.fsf@HIDDEN> <87tuutjmu7.fsf@HIDDEN>
 <87v9f9w7mr.fsf@HIDDEN> <878sc2bpt3.fsf@HIDDEN>
 <87r1punpih.fsf@HIDDEN>
Date: Mon, 19 Oct 2020 19:55:56 +0300
In-Reply-To: <87r1punpih.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Mon, 19 Oct 2020 17:34:30 +0100")
Message-ID: <87ft6a9mub.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2020-10-19, 17:34 +0100, "Basil L. Contovounesios" <contovob@HIDDEN> wrote:

> Protesilaos Stavrou <info@HIDDEN> writes:
>
>> Is it okay if I defer
>> the submission of this change until mid-November, when the new version
>> of the themes will be available?  Otherwise feel free to fix it now.
>
> AFAICT the Modus sources have since been updated in both Emacs and on
> GitLab, so does this still apply?
>
> I'm in no hurry - the only reason I asked you instead of fixing it
> myself, is that I saw you were already in the process of applying
> feedback, and I didn't have the time to look into regenerating the
> Texinfo manual from Org.
>
> Thanks,

I changed my mind because I noticed some references that had to be
addressed in a timely fashion.  So I also updated your name in the
process.  Sorry for not notifying you in advance.

-- 
Protesilaos Stavrou
protesilaos.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 19 Oct 2020 16:34:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 12:34:40 2020
Received: from localhost ([127.0.0.1]:42162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUY7M-0006Wz-8l
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 12:34:40 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:45843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1kUY7K-0006Wm-4y
 for 43944 <at> debbugs.gnu.org; Mon, 19 Oct 2020 12:34:38 -0400
Received: by mail-wr1-f43.google.com with SMTP id e17so396262wru.12
 for <43944 <at> debbugs.gnu.org>; Mon, 19 Oct 2020 09:34:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=MI0GctWGjH+quQ+zIjTcIMIrdf8I5/a0RuGhabhS+2k=;
 b=vJIljjGrx227Oyktb+QEAhv7gav+VPGNq+0igeFrsSDxnsPgul4dMT1wFkYmfgpmEv
 ZjTCgiE3acqN5WQKSJzXQUpesBd/4gqKRsFIazxRRAtSVCW/orU1JKQ36QTB0mdufubw
 2CZI1eua/smq6e8wZ18psu7zxj8Eg9SdQD1bTuGgE/psy/YwoI0eTbdpyJ6Pgy2BJ7HM
 mGXmLbQp83JgODUvjrYR3qEwm0BpB7heC0WyBdQbcnBTshif+OuYzCCmVb/C0ZWn6uDS
 K48E/OccTC1gz8NR3OhlgVq0kGxR8UZq/fYs2djUA90DKsDFiNOHum1uRnlIMInl0QcG
 6Neg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=MI0GctWGjH+quQ+zIjTcIMIrdf8I5/a0RuGhabhS+2k=;
 b=mYt7saCkYQe1zpih7eQ/0b80e8j396k6muX8wUbusj9AI2eChJ2QJJjzH/dy5bVtOj
 oz49g3JiRii6vE17BpFU2RWpDct/gHZdXi5O9V3+Ax/sqfMWZN3LmmRAi8rCLq15rpTx
 8y+NCfK4aEIiXYhTbglfDLVbWnDeEMj6IYddsnNw5dRN35qOBZMRbTkYQ51/d88l8kyQ
 oVfJ769FxwEpId4U1JRxcKaaszmbIwzcvfOPvf7uiDe1QKoP14jg36BMCuLupbhmh3UK
 FVzOlCBcQ+jDgsAt7UBpLVAW8s53zMSTHDHtnGpAOrJLyiXyAQmw9LBK9gMhYUQiDDPj
 YxzQ==
X-Gm-Message-State: AOAM531XEJ11E+dUNLjpYAi1cy9gdCPyJxupbSoSnVfMXy2kG3A15fBc
 n0hlTweSD4kXoPJzSafxFRZdvg==
X-Google-Smtp-Source: ABdhPJyw52GSNWB/Ww6pEFwM0HcO5bog9u74+P8o0a6AbyQLCb2irQgSopuEUIQOblwp1w7hm6Oiuw==
X-Received: by 2002:adf:f7d1:: with SMTP id a17mr66237wrq.396.1603125272280;
 Mon, 19 Oct 2020 09:34:32 -0700 (PDT)
Received: from localhost ([109.77.40.79])
 by smtp.gmail.com with ESMTPSA id l11sm251384wro.89.2020.10.19.09.34.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 19 Oct 2020 09:34:31 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Protesilaos Stavrou <info@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 <83mu0mur26.fsf@HIDDEN> <87mu0lx5us.fsf@HIDDEN>
 <83362duxy6.fsf@HIDDEN> <87tuutjmu7.fsf@HIDDEN>
 <87v9f9w7mr.fsf@HIDDEN> <878sc2bpt3.fsf@HIDDEN>
Date: Mon, 19 Oct 2020 17:34:30 +0100
In-Reply-To: <878sc2bpt3.fsf@HIDDEN> (Protesilaos Stavrou's message
 of "Mon, 19 Oct 2020 11:08:56 +0300")
Message-ID: <87r1punpih.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Protesilaos Stavrou <info@HIDDEN> writes:

> Is it okay if I defer
> the submission of this change until mid-November, when the new version
> of the themes will be available?  Otherwise feel free to fix it now.

AFAICT the Modus sources have since been updated in both Emacs and on
GitLab, so does this still apply?

I'm in no hurry - the only reason I asked you instead of fixing it
myself, is that I saw you were already in the process of applying
feedback, and I didn't have the time to look into regenerating the
Texinfo manual from Org.

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.
bug marked as fixed in version 28.1, send any further explanations to 43944 <at> debbugs.gnu.org and Protesilaos Stavrou <info@HIDDEN> Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 19 Oct 2020 15:42:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 11:42:12 2020
Received: from localhost ([127.0.0.1]:42057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUXIa-000324-77
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 11:42:12 -0400
Received: from mail-ed1-f53.google.com ([209.85.208.53]:41685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kUXIY-00031X-Rx
 for 43944 <at> debbugs.gnu.org; Mon, 19 Oct 2020 11:42:11 -0400
Received: by mail-ed1-f53.google.com with SMTP id l24so10734603edj.8
 for <43944 <at> debbugs.gnu.org>; Mon, 19 Oct 2020 08:42:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=q+NsSyBIg5zbEoGterQKYkYhxanNSudougAyRVvhZrE=;
 b=TAIJ2ai3veuJR6bShjpdHlNGtDAueK++sExCP4enbX9doyNfK6XePuTTh0U4VbcxlS
 suKKWjbC9vvJe2ZfH0/vu+D4Q/somgkrxJbWnKqKt1PjUhNRyyjjJBw1UvdujBDJHPAr
 WUwKYMgBCXEO551S3d9bjjSwSxCsdqWAy0gMUzbkl6Eii36iuqwp4H6bcbd8G632KNpq
 gHCV6NTpD2vyO8PA7p8lM0+Xk4kb+ZYJi2OJ74aQVgaZkOeWnULZoFanN2Q5OLLa9HW+
 47/VYecKcSs1kZaJRIUE3zZMxw50BYoKN01cXVLH05r4DXuWPtqSe1oeDCJr4HGBx3wL
 KyKg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=q+NsSyBIg5zbEoGterQKYkYhxanNSudougAyRVvhZrE=;
 b=paYkFOQM+0XUx1WmsnwrWrf+Ud8xsSMFQSXtZ1eXIeNCnCep/l2+rgHWaGEplpZOAX
 VeUNmnPe1Z2FCShwdq9U4O7zAuMpTNQRbcpA2NDqgJt1uZrt3nxCFQZyclOCylWD/Md0
 giGYkghsinLN1CkhMM3HlS3rhebE1da7/e5Ei5Sl0o0bcxGCiETxh2I/bhwzZ2Ymh6+Q
 L/oX1pkZl1jWsBrnL+c07glIEyJC3Fs1Pk1bGOtJuNgSarhOAzNdEboSoaZ45gbyYefz
 VFfjkSGEkgEK5dXAxGfVGbV6UvmlmOKMT5eEubWDPdGP1ucgIRhAzWNoe2581r4aL+Zj
 AHPw==
X-Gm-Message-State: AOAM5318JEzx8WjmhMxETwBeeEtdRSFPYLMg0qBthgov5SOIccXSrRHu
 vtTHM1XiNfKlU6pkNXL05fCorELcEYvzUqJwFP8q1f1K
X-Google-Smtp-Source: ABdhPJwreCmTMS86Dzpn79BotuFTYiDl6PnosoK5dtYPzlWBsRTFzKaVSmqoTYxVoamfc9u+O36RwnCM/t/K30qzZDg=
X-Received: by 2002:aa7:c259:: with SMTP id y25mr355698edo.249.1603122125177; 
 Mon, 19 Oct 2020 08:42:05 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 19 Oct 2020 15:42:04 +0000
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87mu0i9xw0.fsf@HIDDEN>
References: <874kn0ympd.fsf@HIDDEN>
 <CADwFkmmQ3m4ktMG7Wt=Gk1aH3bn0JCffNaLm7Vbe-2frNCFE8w@HIDDEN>
 <87362dl3zr.fsf@HIDDEN>
 <CADwFkmn8UwBQRdZbwUQ=8VNS7JUbssvnOhKZJvHESwNnShULfg@HIDDEN>
 <874kmqbpny.fsf@HIDDEN>
 <CADwFkmmShvRuq3SjzZFc22Cdx_PKScuUFdwb+VeNzbem6zEiTg@HIDDEN>
 <87r1pu9z2b.fsf@HIDDEN> <87mu0i9xw0.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 19 Oct 2020 15:42:04 +0000
Message-ID: <CADwFkmnJNdPdjVH2w7RrrmmXaAP5+wTAD89od7+vYTZB8723vA@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
To: Protesilaos Stavrou <info@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

close 43944 28.1
thanks

Protesilaos Stavrou <info@HIDDEN> writes:

> Please find attached the patch that should address the remaining issues
> with the manual (in line with what was reported by Eli and Basil).  Once
> it is merged, I think the bug report can be closed.

Thanks!  Pushed to master as commit 4970e2c7ea.

I'm closing this bug report with this message.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 19 Oct 2020 12:57:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 08:57:33 2020
Received: from localhost ([127.0.0.1]:40218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUUjE-0004Yo-Q9
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 08:57:33 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:47957)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kUUjB-0004YU-Ul
 for 43944 <at> debbugs.gnu.org; Mon, 19 Oct 2020 08:57:31 -0400
X-Originating-IP: 213.207.159.38
Received: from kronos (unknown [213.207.159.38])
 (Authenticated sender: public@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 40B8D60002;
 Mon, 19 Oct 2020 12:57:21 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <874kn0ympd.fsf@HIDDEN>
 <CADwFkmmQ3m4ktMG7Wt=Gk1aH3bn0JCffNaLm7Vbe-2frNCFE8w@HIDDEN>
 <87362dl3zr.fsf@HIDDEN>
 <CADwFkmn8UwBQRdZbwUQ=8VNS7JUbssvnOhKZJvHESwNnShULfg@HIDDEN>
 <874kmqbpny.fsf@HIDDEN>
 <CADwFkmmShvRuq3SjzZFc22Cdx_PKScuUFdwb+VeNzbem6zEiTg@HIDDEN>
 <87r1pu9z2b.fsf@HIDDEN>
Date: Mon, 19 Oct 2020 15:57:19 +0300
In-Reply-To: <87r1pu9z2b.fsf@HIDDEN> (Protesilaos Stavrou's message
 of "Mon, 19 Oct 2020 15:31:56 +0300")
Message-ID: <87mu0i9xw0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

On 2020-10-19, 15:31 +0300, Protesilaos Stavrou <info@HIDDEN> wrote:

> On 2020-10-19, 14:18 +0200, Stefan Kangas <stefankangas@HIDDEN> wrote:
>
>> Protesilaos Stavrou <info@HIDDEN> writes:
>>
>>> Yes, I shall post on emacs-devel.
>>
>> Excellent.  Do we have anything more to discuss in this bug report or
>> should it be closed?
>
> I did find some more references in the manual to package archives that
> do not conform with the Emacs conventions.
>
> Please give me some extra time while I prepare another patch (instead of
> deferring it to the next release, as I had initially suggested).

Please find attached the patch that should address the remaining issues
with the manual (in line with what was reported by Eli and Basil).  Once
it is merged, I think the bug report can be closed.

Note that I did not correct "greyscale" to "grayscale" because there is
a symbol involved.  This will definitely be changed ahead of the next
tagged release.

P.S. As always, feel free to amend the patch.  Thanks again!

-- 
Protesilaos Stavrou
protesilaos.com

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment;
 filename=0001-Fix-documentation-of-the-Modus-Themes.patch
Content-Transfer-Encoding: base64
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==
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 19 Oct 2020 12:32:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 08:32:08 2020
Received: from localhost ([127.0.0.1]:40211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUUKd-0003sF-Qy
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 08:32:07 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:40907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kUUKb-0003ra-Kd
 for 43944 <at> debbugs.gnu.org; Mon, 19 Oct 2020 08:32:06 -0400
X-Originating-IP: 213.207.159.38
Received: from kronos (unknown [213.207.159.38])
 (Authenticated sender: public@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 7F4B6C0011;
 Mon, 19 Oct 2020 12:31:58 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <874kn0ympd.fsf@HIDDEN>
 <CADwFkmmQ3m4ktMG7Wt=Gk1aH3bn0JCffNaLm7Vbe-2frNCFE8w@HIDDEN>
 <87362dl3zr.fsf@HIDDEN>
 <CADwFkmn8UwBQRdZbwUQ=8VNS7JUbssvnOhKZJvHESwNnShULfg@HIDDEN>
 <874kmqbpny.fsf@HIDDEN>
 <CADwFkmmShvRuq3SjzZFc22Cdx_PKScuUFdwb+VeNzbem6zEiTg@HIDDEN>
Date: Mon, 19 Oct 2020 15:31:56 +0300
In-Reply-To: <CADwFkmmShvRuq3SjzZFc22Cdx_PKScuUFdwb+VeNzbem6zEiTg@HIDDEN>
 (Stefan Kangas's message of "Mon, 19 Oct 2020 14:18:44 +0200")
Message-ID: <87r1pu9z2b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2020-10-19, 14:18 +0200, Stefan Kangas <stefankangas@HIDDEN> wrote:

> Protesilaos Stavrou <info@HIDDEN> writes:
>
>> Yes, I shall post on emacs-devel.
>
> Excellent.  Do we have anything more to discuss in this bug report or
> should it be closed?

I did find some more references in the manual to package archives that
do not conform with the Emacs conventions.

Please give me some extra time while I prepare another patch (instead of
deferring it to the next release, as I had initially suggested).

-- 
Protesilaos Stavrou
protesilaos.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 19 Oct 2020 12:19:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 08:19:02 2020
Received: from localhost ([127.0.0.1]:40197 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUU7y-0003VI-IY
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 08:19:02 -0400
Received: from mail-ed1-f43.google.com ([209.85.208.43]:43698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kUU7x-0003Uj-FB
 for 43944 <at> debbugs.gnu.org; Mon, 19 Oct 2020 08:19:01 -0400
Received: by mail-ed1-f43.google.com with SMTP id dn5so9981700edb.10
 for <43944 <at> debbugs.gnu.org>; Mon, 19 Oct 2020 05:19:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=VmTlm4v0r+4nHwhKvQqYO3V0msiL15uhOljm2NDVv7M=;
 b=YHBJAdknRlcnXMHsBcSoAHXXKsfGOVezC5WEfTaTyyu+xBUn2ZrO6zgxSg2gxWalEw
 LmpsR0SSbH8LPn0+paRDNL2jSpX/lROnmx4cGQzvywh7nO+dAynZeF1FPVs6FOGeWqQf
 SO1NEQDc4fYqQktHHIONWx8gQ7KViVDQuMmabibZEYYyUn0JYsAT9wur4UuIlGZT4Ei6
 W7r6rA+I21Od+yKy3IUBku9D8KFHKz/iJKKPIc6c0YJwx7dINY09ibewjwhiOuCQpHOJ
 DgmS6YfwIuHGKqExuUAlW5DH2o6YU5svzbygHnAZkH0QJvZkaGtYGYamj868KWL07qda
 6MCA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=VmTlm4v0r+4nHwhKvQqYO3V0msiL15uhOljm2NDVv7M=;
 b=sZtCXqvydBcQn7e4Ax7pJIHpyPEK7UaY/0JkOiy9nOISF7vy17XWUTpbeOca7E4hQK
 QmmRd7r9gafPlahOw2WLOhIxEqm3CZHbnLKOXUnuVAJbdxVBZKI4f19HF5ZfzSovrOO5
 m2olUh1+WUrx6TA5nvAdQWihU5jNmU3Zv3xMLfc7LjWu5ybtwdFlAK3+5rAtHOA+OpHs
 etUS8JY8g1bnTRpkyy7Bd7ZPjBG4pZVo5E/0RxNq5Vbw5D/WOHrXeNKx3kQNtulbuiNN
 B0XM73HBKWgTkjUHf9URAZnQyZa+GWQoe+WsI1XZoVVQ9QxU/s7tQMftp8bIzJi5H8eh
 E+Aw==
X-Gm-Message-State: AOAM531dQIUDo7yVpVrXxA0Mqt1SlrolTtl+p/N1zB4rpjXMhQN3P6Ft
 7y2mh16NYcizKWrH5AAPmN/Yd8fLWtNu1LVexgc=
X-Google-Smtp-Source: ABdhPJzP0B9VESIv7/uKVD2sdtmYeUgK/8KYL0ydSSoWed62kn3gBZYG7wevBR7RKDoEv7wKnD4iGZfH45+xIn6CmQY=
X-Received: by 2002:a50:ee19:: with SMTP id g25mr18492182eds.160.1603109935634; 
 Mon, 19 Oct 2020 05:18:55 -0700 (PDT)
MIME-Version: 1.0
References: <874kn0ympd.fsf@HIDDEN>
 <CADwFkmmQ3m4ktMG7Wt=Gk1aH3bn0JCffNaLm7Vbe-2frNCFE8w@HIDDEN>
 <87362dl3zr.fsf@HIDDEN>
 <CADwFkmn8UwBQRdZbwUQ=8VNS7JUbssvnOhKZJvHESwNnShULfg@HIDDEN>
 <874kmqbpny.fsf@HIDDEN>
In-Reply-To: <874kmqbpny.fsf@HIDDEN>
From: Stefan Kangas <stefankangas@HIDDEN>
Date: Mon, 19 Oct 2020 14:18:44 +0200
Message-ID: <CADwFkmmShvRuq3SjzZFc22Cdx_PKScuUFdwb+VeNzbem6zEiTg@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
To: Protesilaos Stavrou <info@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Protesilaos Stavrou <info@HIDDEN> writes:

> Yes, I shall post on emacs-devel.

Excellent.  Do we have anything more to discuss in this bug report or
should it be closed?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 19 Oct 2020 08:12:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 04:12:13 2020
Received: from localhost ([127.0.0.1]:39858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUQH7-0002vj-BW
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 04:12:13 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:58473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kUQH4-0002vM-SH
 for 43944 <at> debbugs.gnu.org; Mon, 19 Oct 2020 04:12:11 -0400
X-Originating-IP: 213.207.159.38
Received: from kronos (unknown [213.207.159.38])
 (Authenticated sender: public@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id DA69E4000F;
 Mon, 19 Oct 2020 08:12:03 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <874kn0ympd.fsf@HIDDEN>
 <CADwFkmmQ3m4ktMG7Wt=Gk1aH3bn0JCffNaLm7Vbe-2frNCFE8w@HIDDEN>
 <87362dl3zr.fsf@HIDDEN>
 <CADwFkmn8UwBQRdZbwUQ=8VNS7JUbssvnOhKZJvHESwNnShULfg@HIDDEN>
Date: Mon, 19 Oct 2020 11:12:01 +0300
In-Reply-To: <CADwFkmn8UwBQRdZbwUQ=8VNS7JUbssvnOhKZJvHESwNnShULfg@HIDDEN>
 (Stefan Kangas's message of "Sat, 17 Oct 2020 16:23:30 +0000")
Message-ID: <874kmqbpny.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2020-10-17, 16:23 +0000, Stefan Kangas <stefankangas@HIDDEN> wrote:

> Protesilaos Stavrou <info@HIDDEN> writes:
>
>> "Build" is the wrong term here.  Sorry about that!  My intent is to find
>> an easy way/workflow to get the files from Emacs into GNU ELPA.
>>
>> And by "easy" I mean not to duplicate the work we do here.  So I would
>> not have to contact the GNU ELPA maintainers separately and have them
>> pull from my git source.
>
> Right.  Hmm, it's a bit tricky to be honest, because there are several
> options and AFAICT the workflows are not exactly 100 % streamlined in
> all cases.  Maybe you could bring this question to emacs-devel?

Yes, I shall post on emacs-devel.

>> I attach a possible rewording that also corrects "colour" and adds an
>> explicit reference to the WCAG AAA accessibility spec.  Please note that
>> I do not know how to properly reference an Info node: I used 'C-u 0 x',
>> which calls 'Info-copy-current-node-name'.
>
> Great, thanks.  I made some minor changes and pushed it to master as
> commit 00c4d982e8.

Thank you!

-- 
Protesilaos Stavrou
protesilaos.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 19 Oct 2020 08:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 04:09:08 2020
Received: from localhost ([127.0.0.1]:39849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUQE8-0002qi-E3
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 04:09:08 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:56761)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kUQE6-0002qB-V4
 for 43944 <at> debbugs.gnu.org; Mon, 19 Oct 2020 04:09:07 -0400
X-Originating-IP: 213.207.159.38
Received: from kronos (unknown [213.207.159.38])
 (Authenticated sender: public@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id AC464E0010;
 Mon, 19 Oct 2020 08:08:59 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 <83mu0mur26.fsf@HIDDEN> <87mu0lx5us.fsf@HIDDEN>
 <83362duxy6.fsf@HIDDEN> <87tuutjmu7.fsf@HIDDEN>
 <87v9f9w7mr.fsf@HIDDEN>
Date: Mon, 19 Oct 2020 11:08:56 +0300
In-Reply-To: <87v9f9w7mr.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Sat, 17 Oct 2020 09:59:08 +0100")
Message-ID: <878sc2bpt3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2020-10-17, 09:59 +0100, "Basil L. Contovounesios" <contovob@HIDDEN> wrote:

> Protesilaos Stavrou <info@HIDDEN> writes:
>
>> Thanks!  I shall take care of those as well.  I prefer to do it for the
>> next release (to be published in about a month from now).  Just to be
>> sure that we catch everything.
>
> Sorry to give you more work, but while you're at it, could you please
> also change the spelling of my surname from Contovounisios to
> Contovounesios in the changelog and manual?  Not because I care about
> attribution, but for consistency ;).
>
> Thanks,

I just fixed the spelling of your name on my end.  Is it okay if I defer
the submission of this change until mid-November, when the new version
of the themes will be available?  Otherwise feel free to fix it now.

-- 
Protesilaos Stavrou
protesilaos.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 17 Oct 2020 16:23:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 12:23:40 2020
Received: from localhost ([127.0.0.1]:35425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTozb-00005R-Um
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 12:23:40 -0400
Received: from mail-ej1-f49.google.com ([209.85.218.49]:34406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kTozZ-000055-LC
 for 43944 <at> debbugs.gnu.org; Sat, 17 Oct 2020 12:23:38 -0400
Received: by mail-ej1-f49.google.com with SMTP id u8so7863573ejg.1
 for <43944 <at> debbugs.gnu.org>; Sat, 17 Oct 2020 09:23:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=W2qe5TX4aAjJ6Ni2IOdUXzt4c8pf5J93tCtkZ/A5z9U=;
 b=R4DHR/agk8BA136Q7dXsMRRZhH/9RGfctRZzwYFC/k3GOLd5JjhRwXqKXgIuvPhp5j
 xuNWL/vYtHJI5cRlQ4iEnxFWWG1eBeOEIemheJqneLKSPIoZapgo91I2to61r2jOOCaf
 QFjXTFn7jhCFSIQ7wM+MtEPdHfXnQjNlQ907SSGqwKk8WLf5GneLbQKvySPBOAbVJTgf
 Pe84S9LQ7dKT4hYGlF7OHRXB7UEPnafnLzg7UrZn4QmJYckvT89zqiIXxmVLRJYG3qdH
 f8HOdv6DrlBxxRvmVbZnpBYKF7ruAn0c/7Nrz9juPil3td6iCsZTNpFsQ/UpaAWA9E2A
 FLkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=W2qe5TX4aAjJ6Ni2IOdUXzt4c8pf5J93tCtkZ/A5z9U=;
 b=Srg9RakXBWPQTuiDsjthIDufMWDaWKu5keFgrKZ3wpVYOdD5/PUO2yRim2soNy6v9Z
 I64mIh7A2ljPGO7SSvO6hI4FgP54bvJPDo0/0GHCfJ4yeChRplS3W11r9p8h8EziVWpn
 z1J6qS05ZJlV1YAn22EIILelF11ARnxd8d1gMZwWi4fQ75xUiqPpNYTsIcs+8lgS6ETd
 IW8JgKlhemTgKiXquuHkrO4XdTMPyRC0gLiyHExO4jNF/rNItRJTritXe8EPGme0EXld
 972h3aXzVS2sbt8vcAkKcRPa2+L3MkXbocI5ByIPSurGPtcjN89rNP4II2lKZhxw4453
 Bc1Q==
X-Gm-Message-State: AOAM533hiGx7uw2q6XjYihGU2pgZmj/Kt2bK33xzo5vC3za4o9Agj8qA
 PjCMzdpMe6NWiKPs25THdf48tqKrJM8XgxACRNQ=
X-Google-Smtp-Source: ABdhPJzFHvlQZiWWRFexjTcyt8as/K5CPVk1gBkU2rfZB9OicW1/lOizLiQCqLdURKJSccXWWDv1QoXOx3yot8ZxDIo=
X-Received: by 2002:a17:906:3e4b:: with SMTP id
 t11mr9032456eji.420.1602951811681; 
 Sat, 17 Oct 2020 09:23:31 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 17 Oct 2020 16:23:30 +0000
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87362dl3zr.fsf@HIDDEN>
References: <874kn0ympd.fsf@HIDDEN>
 <CADwFkmmQ3m4ktMG7Wt=Gk1aH3bn0JCffNaLm7Vbe-2frNCFE8w@HIDDEN>
 <87362dl3zr.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sat, 17 Oct 2020 16:23:30 +0000
Message-ID: <CADwFkmn8UwBQRdZbwUQ=8VNS7JUbssvnOhKZJvHESwNnShULfg@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
To: Protesilaos Stavrou <info@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Protesilaos Stavrou <info@HIDDEN> writes:

> "Build" is the wrong term here.  Sorry about that!  My intent is to find
> an easy way/workflow to get the files from Emacs into GNU ELPA.
>
> And by "easy" I mean not to duplicate the work we do here.  So I would
> not have to contact the GNU ELPA maintainers separately and have them
> pull from my git source.

Right.  Hmm, it's a bit tricky to be honest, because there are several
options and AFAICT the workflows are not exactly 100 % streamlined in
all cases.  Maybe you could bring this question to emacs-devel?

> Syncing the latest version works fine for me.
>
> I have thus far published tagged releases on a monthly cadence.  Expect
> the next one in mid to late November.

Great.

> I attach a possible rewording that also corrects "colour" and adds an
> explicit reference to the WCAG AAA accessibility spec.  Please note that
> I do not know how to properly reference an Info node: I used 'C-u 0 x',
> which calls 'Info-copy-current-node-name'.

Great, thanks.  I made some minor changes and pushed it to master as
commit 00c4d982e8.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 17 Oct 2020 08:59:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 04:59:18 2020
Received: from localhost ([127.0.0.1]:33299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTi3a-0005K2-K2
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:59:18 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:46070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1kTi3Y-0005Jn-RQ
 for 43944 <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:59:17 -0400
Received: by mail-wr1-f49.google.com with SMTP id e17so6014608wru.12
 for <43944 <at> debbugs.gnu.org>; Sat, 17 Oct 2020 01:59:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=75xMeYji4M1q8l30RDlmtR8z1ToGbt+tRmh2RAfG++E=;
 b=cS6jaHEpKcMyrWUgr0eXEA9H7uEw6N5NKIBciwiD9do58tTwIpmi4MNjxz3BTr4rXp
 20eHrHFdb/bXeumsTFAtpnvDjUdlRQFqpKpXtg9ygmXJvbmlt5ldSdRWQoZAxflxHdoM
 7xPe8WfJSWcu8yXvrqM4AzcCyOJkB0bpINW8NPeMjlsKEG08zIy6tRwPP9on5rkdvPB8
 b9SDx2CWT5NbxVH2AdpK49lQUkcm77vwzP+80S+jawf/CW8NSvn2deMs1iWOMYhNmZ01
 5RJADaFfRU3T6ab8Lkoxql4HLu9PiaD6ISveBzVP2Yh5WBc5DaL5qGDPrGl+7HfDqCiu
 wrIQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=75xMeYji4M1q8l30RDlmtR8z1ToGbt+tRmh2RAfG++E=;
 b=GRsPZ+sEPAHZfILClRG7yiBf/utBjdc4e0g1cXREUSstWHp4wiRXK0DJ4sRNFJ1cxj
 t9sULonOzQ2Mj9yFr+rLnOp6cL8pJafwmkLt+9htLkr+kz2iulCU5+z2HoXOIyMECfVj
 5TF+nqZKnYVFS+l6OR6piwv75exQYKZBZJg1QR8K5hQbIZ3F5nBs0EMOAffwvaTSBdJi
 2vPf3zA43JhqdrQtpHUPUKMrop4QVz1eugumN221Tl88zMAFmCwPBf7wNaUQP2scKrWE
 aQ9XcLSxGH2+uc5qocDoIaSBRKkQ94+ovz4z1HFUHOtGLvh9GphwYJai9/ivFuvGEaKT
 Iz7g==
X-Gm-Message-State: AOAM532oQVo7uXDH0JLeEzZRykUxjAirtULrsWpI62xFv31Gz1h1cfaR
 x4nYT3ZSq3gD5qvcwHFcB0Yd/A==
X-Google-Smtp-Source: ABdhPJyvGTb7q2+9e67hT9cCn26/PjNca9H7UOIK+NjMLtwuTYRDehPNo0T0PplWFw66JIZe8KrtWQ==
X-Received: by 2002:a5d:5106:: with SMTP id s6mr8823205wrt.51.1602925150826;
 Sat, 17 Oct 2020 01:59:10 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:1f68:7ff5:120d:64e])
 by smtp.gmail.com with ESMTPSA id t12sm7777283wrm.25.2020.10.17.01.59.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 17 Oct 2020 01:59:10 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Protesilaos Stavrou <info@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 <83mu0mur26.fsf@HIDDEN> <87mu0lx5us.fsf@HIDDEN>
 <83362duxy6.fsf@HIDDEN> <87tuutjmu7.fsf@HIDDEN>
Date: Sat, 17 Oct 2020 09:59:08 +0100
In-Reply-To: <87tuutjmu7.fsf@HIDDEN> (Protesilaos Stavrou's message
 of "Sat, 17 Oct 2020 11:09:04 +0300")
Message-ID: <87v9f9w7mr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: Eli Zaretskii <eliz@HIDDEN>, 43944 <at> debbugs.gnu.org,
 Stefan Kangas <stefankangas@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Protesilaos Stavrou <info@HIDDEN> writes:

> Thanks!  I shall take care of those as well.  I prefer to do it for the
> next release (to be published in about a month from now).  Just to be
> sure that we catch everything.

Sorry to give you more work, but while you're at it, could you please
also change the spelling of my surname from Contovounisios to
Contovounesios in the changelog and manual?  Not because I care about
attribution, but for consistency ;).

Thanks,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 17 Oct 2020 08:09:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 04:09:15 2020
Received: from localhost ([127.0.0.1]:33235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kThH9-0008In-H2
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:09:15 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:42469)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kThH7-0008IZ-Bq
 for 43944 <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:09:13 -0400
X-Originating-IP: 213.207.159.38
Received: from kronos (unknown [213.207.159.38])
 (Authenticated sender: public@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id C1CA160004;
 Sat, 17 Oct 2020 08:09:06 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 <83mu0mur26.fsf@HIDDEN> <87mu0lx5us.fsf@HIDDEN>
 <83362duxy6.fsf@HIDDEN>
Date: Sat, 17 Oct 2020 11:09:04 +0300
In-Reply-To: <83362duxy6.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 17 Oct
 2020 10:13:37 +0300")
Message-ID: <87tuutjmu7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org, Stefan Kangas <stefankangas@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2020-10-17, 10:13 +0300, Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Protesilaos Stavrou <info@HIDDEN>
>> Cc: Stefan Kangas <stefankangas@HIDDEN>,  43944 <at> debbugs.gnu.org
>> Date: Fri, 16 Oct 2020 23:39:55 +0300
>> 
>> With regard to British English, there is more of it in the *.el files I
>> shared: "colour" probably is the most common one.  Shall I prepare a
>> patch?
>
> Yes, please.
>
> Note that I didn't change a couple of those UK English spellings where
> they affected too many places, for example one node that is referenced
> from many places.  If you could take care of that as well, it would be
> perfect.
>
> Thanks.

Thanks!  I shall take care of those as well.  I prefer to do it for the
next release (to be published in about a month from now).  Just to be
sure that we catch everything.

-- 
Protesilaos Stavrou
protesilaos.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 17 Oct 2020 07:15:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 03:15:53 2020
Received: from localhost ([127.0.0.1]:33146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTgRV-0004p7-Fx
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:15:53 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:56955)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kTgRT-0004or-Ju
 for 43944 <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:15:51 -0400
Received: from kronos (unknown [213.207.159.38])
 (Authenticated sender: public@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id F349A240007;
 Sat, 17 Oct 2020 07:15:44 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 <83mu0mur26.fsf@HIDDEN> <87mu0lx5us.fsf@HIDDEN>
 <CADwFkmmwisB_rJcKT9VzGnAvrqK8u_ZCqgcX+Akj=SRNH5tA7A@HIDDEN>
Date: Sat, 17 Oct 2020 10:15:42 +0300
In-Reply-To: <CADwFkmmwisB_rJcKT9VzGnAvrqK8u_ZCqgcX+Akj=SRNH5tA7A@HIDDEN>
 (Stefan Kangas's message of "Fri, 16 Oct 2020 17:07:55 -0700")
Message-ID: <87y2k5jpb5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43944
Cc: Eli Zaretskii <eliz@HIDDEN>, 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2020-10-16, 17:07 -0700, Stefan Kangas <stefankangas@HIDDEN> wrote:

> Protesilaos Stavrou <info@HIDDEN> writes:
>
>> With regard to British English, there is more of it in the *.el files I
>> shared: "colour" probably is the most common one.  Shall I prepare a
>> patch?
>
> Sure!  Or it could wait until you release the next version, if you
> prefer that option.

I prefer to wait until the next version (coming mid to late November).
Just to be sure that we capture everything.

Thanks again!

-- 
Protesilaos Stavrou
protesilaos.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 17 Oct 2020 07:13:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 03:13:47 2020
Received: from localhost ([127.0.0.1]:33122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTgPS-0004ka-T1
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:13:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kTgPQ-0004kJ-DF
 for 43944 <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:13:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51836)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kTgPK-0004Cm-LR; Sat, 17 Oct 2020 03:13:38 -0400
Received: from [176.228.60.248] (port=3496 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kTgPJ-0002yF-UT; Sat, 17 Oct 2020 03:13:38 -0400
Date: Sat, 17 Oct 2020 10:13:37 +0300
Message-Id: <83362duxy6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Protesilaos Stavrou <info@HIDDEN>
In-Reply-To: <87mu0lx5us.fsf@HIDDEN> (message from Protesilaos
 Stavrou on Fri, 16 Oct 2020 23:39:55 +0300)
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 <83mu0mur26.fsf@HIDDEN> <87mu0lx5us.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org, stefankangas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Protesilaos Stavrou <info@HIDDEN>
> Cc: Stefan Kangas <stefankangas@HIDDEN>,  43944 <at> debbugs.gnu.org
> Date: Fri, 16 Oct 2020 23:39:55 +0300
> 
> With regard to British English, there is more of it in the *.el files I
> shared: "colour" probably is the most common one.  Shall I prepare a
> patch?

Yes, please.

Note that I didn't change a couple of those UK English spellings where
they affected too many places, for example one node that is referenced
from many places.  If you could take care of that as well, it would be
perfect.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 17 Oct 2020 07:13:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 03:13:23 2020
Received: from localhost ([127.0.0.1]:33118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTgP5-0004jv-IV
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:13:23 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:50075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kTgP3-0004jg-Ln
 for 43944 <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:13:22 -0400
Received: from kronos (unknown [213.207.159.38])
 (Authenticated sender: public@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 8D711200007;
 Sat, 17 Oct 2020 07:13:14 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <874kn0ympd.fsf@HIDDEN>
 <CADwFkmmQ3m4ktMG7Wt=Gk1aH3bn0JCffNaLm7Vbe-2frNCFE8w@HIDDEN>
Date: Sat, 17 Oct 2020 10:13:12 +0300
In-Reply-To: <CADwFkmmQ3m4ktMG7Wt=Gk1aH3bn0JCffNaLm7Vbe-2frNCFE8w@HIDDEN>
 (Stefan Kangas's message of "Fri, 16 Oct 2020 10:13:58 -0700")
Message-ID: <87362dl3zr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

On 2020-10-16, 10:13 -0700, Stefan Kangas <stefankangas@HIDDEN> wrote:

> Protesilaos Stavrou <info@HIDDEN> writes:
>
>> + The two themes are also available in GNU ELPA.  What is the best way
>>   to ensure that we sync between emacs.git and elpa.git?  GNU ELPA has
>>   hitherto pulled from dedicated branches on my upstream git repository.
>>   Maybe it would be better/easier to start building directly from the
>>   Emacs source?  This would reduce the overall workload.
>
> What does "start building directly from the Emacs source" mean here?

"Build" is the wrong term here.  Sorry about that!  My intent is to find
an easy way/workflow to get the files from Emacs into GNU ELPA.

And by "easy" I mean not to duplicate the work we do here.  So I would
not have to contact the GNU ELPA maintainers separately and have them
pull from my git source.

> FWIW, I don't think we should feel too bound to any particular process;
> this seems like a practical matter where we should try to do whatever
> is most practical.

Good to know.  I have no particular preference on the matter and shall
adapt to whatever you and others may recommend.

>> + Sending attachments with large diffs has the downside of losing the
>>   commit history.  Do Emacs maintainers wish to keep track of it?  If
>>   so, what would be the best way to preserve it, seeing as I am
>>   developing them on my own upstream?
>
> I don't think we generally worry about preserving history for packages
> managed externally.  We just sync the latest version.
>
> (If one really would like to preserve it, it could perhaps be done with
> some git magic.  I'm not sure it's worth the extra effort.)

Syncing the latest version works fine for me.

I have thus far published tagged releases on a monthly cadence.  Expect
the next one in mid to late November.

>> + Should the texinfo file be mentioned in the NEWS entry about the two
>>   themes?  The attached patch does not include such a change.
>
> We could of course add a NEWS entry for it.  Would you like to propose
> one?

I attach a possible rewording that also corrects "colour" and adds an
explicit reference to the WCAG AAA accessibility spec.  Please note that
I do not know how to properly reference an Info node: I used 'C-u 0 x',
which calls 'Info-copy-current-node-name'.

-- 
Protesilaos Stavrou
protesilaos.com

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Update-Modus-themes-NEWS-entry.patch

From 4b235a54973570aeb9330c15315f47682b7f121f Mon Sep 17 00:00:00 2001
From: Protesilaos Stavrou <info@HIDDEN>
Date: Sat, 17 Oct 2020 09:50:48 +0300
Subject: [PATCH] Update Modus themes' NEWS entry

* etc/NEWS: Reword entry about new 'modus-operandi' and
'modus-vivendi' themes.  Include reference to their manual.
---
 etc/NEWS | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/etc/NEWS b/etc/NEWS
index 1838b6b38a..d782e6c12c 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -1403,9 +1403,11 @@ mode, as are other data files produced by Emacs.
 It's a library to create, query, navigate and display hierarchy structures.
 
 ** New themes 'modus-vivendi' and 'modus-operandi'.
-These themes are designed for colour-contrast accessibility.  You can
-load the new themes using 'M-x customize-themes' or 'load-theme' from
-your init file.
+These themes are designed to conform with the highest standard for
+color-contrast accessibility (WCAG AAA).  You can load either of them
+using 'M-x customize-themes' or 'load-theme' from your init file.
+Their on-line documentation describes the customization options they
+provide.  Consult '(info "(modus-themes) Top")'.
 
 
 * Incompatible Editing Changes in Emacs 28.1
-- 
2.28.0


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 17 Oct 2020 00:08:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 20:08:03 2020
Received: from localhost ([127.0.0.1]:32953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTZlT-0002wb-Pl
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2020 20:08:03 -0400
Received: from mail-ej1-f54.google.com ([209.85.218.54]:44445)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kTZlS-0002w7-17
 for 43944 <at> debbugs.gnu.org; Fri, 16 Oct 2020 20:08:02 -0400
Received: by mail-ej1-f54.google.com with SMTP id a3so5711222ejy.11
 for <43944 <at> debbugs.gnu.org>; Fri, 16 Oct 2020 17:08:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=uqhHrBxF/MFCqJynQEiln5d3YEhbE9eBBkGUb+lwFcU=;
 b=IpqHGh5Wl5lqELWyiIkBIktOyu/QD7UVeh+Vy/tM0tYjJiBtgRqPULswWLjjT29TPa
 AF7+nsyOuxCtYfc/XKL4HOb6LTtlEm4wIpr+4e/iAq8Y43sKxzBNdypFE/GbOMhhPaQS
 Wffphn9+34yy1kz64y/dsa03JnFnmK4xaOMACyyB6tiO4526O3BRl4kFaQPFS0/W4qNi
 5tIWk4guFlxbVmGgc7N4Wn2Fm9plsMg6E33yDXnTzsRq9Z93kaLkvzKcAll2pyqLao0T
 rMjBdE3FHNIDV0RA7kFCuwX+dT/AzhZdsGehjGkW9eQvV0nHGFbZBckEtRUQ251NVWt8
 kFvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=uqhHrBxF/MFCqJynQEiln5d3YEhbE9eBBkGUb+lwFcU=;
 b=N8b1yWSfPrnWCX9K1v4gU20qfEYbZebQTwTnVMerXAxUp0MRQkd/TEj/pmDta18jGA
 a6Oaq9nlvZ+DxXfSpcrB+padqwmqvyt3Xic6pgd97hSXEfbEyXL/GqbNoIg+lS6uU4FO
 mkBFBAe3ZFF2Azrc9E71uWNNPqsZQk3jsjY5UXyv9DA8klVzouKCrOQgnPzeX87F9HzI
 iX9JgoKppdId43wO9LWwz3hElM0NFN4jExuzEBxqtTJIrspz7yqz9JniZOU6dMwBLXhC
 JRhEugUiRxDFmD5kFzU5ggKIr7JxRDFTyM2YOJ52X3wlm0lWSWIC/cAPEfYWAiYg/b5S
 XZvg==
X-Gm-Message-State: AOAM532RwooKHkqzYvWfwDFqt5hrc6+dGemksDi/odiXlLCVlz9JDqVn
 rFyd2sTbDPFSIviATUavdzBXyYgRkKUbAAZ5x0w=
X-Google-Smtp-Source: ABdhPJxVsS2Ig8519+YFcH3TR/0AHtazYrXKC8N80i1Iqr7ONl9zQN+DXHvk8FdB19iVx7Dkg5pEbeSa/OaHrHZ0/MI=
X-Received: by 2002:a17:906:3ed0:: with SMTP id
 d16mr6544576ejj.477.1602893276132; 
 Fri, 16 Oct 2020 17:07:56 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 16 Oct 2020 17:07:55 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87mu0lx5us.fsf@HIDDEN>
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 <83mu0mur26.fsf@HIDDEN> <87mu0lx5us.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 16 Oct 2020 17:07:55 -0700
Message-ID: <CADwFkmmwisB_rJcKT9VzGnAvrqK8u_ZCqgcX+Akj=SRNH5tA7A@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
To: Protesilaos Stavrou <info@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Protesilaos Stavrou <info@HIDDEN> writes:

> With regard to British English, there is more of it in the *.el files I
> shared: "colour" probably is the most common one.  Shall I prepare a
> patch?

Sure!  Or it could wait until you release the next version, if you
prefer that option.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 16 Oct 2020 20:40:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 16:40:08 2020
Received: from localhost ([127.0.0.1]:60994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTWWF-0006Pv-Qx
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2020 16:40:08 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:53339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kTWWD-0006PD-BX
 for 43944 <at> debbugs.gnu.org; Fri, 16 Oct 2020 16:40:05 -0400
X-Originating-IP: 213.207.159.38
Received: from kronos (unknown [213.207.159.38])
 (Authenticated sender: public@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id CB40CC0002;
 Fri, 16 Oct 2020 20:39:57 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 <83mu0mur26.fsf@HIDDEN>
Date: Fri, 16 Oct 2020 23:39:55 +0300
In-Reply-To: <83mu0mur26.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 16 Oct
 2020 18:30:09 +0300")
Message-ID: <87mu0lx5us.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
Cc: 43944 <at> debbugs.gnu.org, Stefan Kangas <stefankangas@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2020-10-16, 18:30 +0300, Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stefan Kangas <stefankangas@HIDDEN>
>> Date: Fri, 16 Oct 2020 06:46:31 -0700
>> 
>> I also made the followup commit 6d4f57dbdf that adapts the new Info
>> manual to better fit Emacs conventions.  Please see the attached patch.
>
> Please note that I made further changes to the manual, to adapt it to
> our conventions and standards.

Thanks to both of you for the changes!  I will make sure to include them
in my version.

With regard to British English, there is more of it in the *.el files I
shared: "colour" probably is the most common one.  Shall I prepare a
patch?

-- 
Protesilaos Stavrou
protesilaos.com




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 16 Oct 2020 17:14:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 13:14:19 2020
Received: from localhost ([127.0.0.1]:60741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTTJ5-00019D-Kj
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2020 13:14:19 -0400
Received: from mail-ej1-f66.google.com ([209.85.218.66]:41156)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kTTJ3-00018z-Lu
 for 43944 <at> debbugs.gnu.org; Fri, 16 Oct 2020 13:14:18 -0400
Received: by mail-ej1-f66.google.com with SMTP id x7so4238965eje.8
 for <43944 <at> debbugs.gnu.org>; Fri, 16 Oct 2020 10:14:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to;
 bh=s570RPX0BDY6bC7/UwM56BmnF7mrZ2M74CV1M3KC7fs=;
 b=O8iuji2vE7wjvuOdTptkwjEHYBVbkJmsurmmIB0QrYNivnSkFQjQ56ptQcw9Z/d0+x
 yeykHLyzgUej55g8OImQCO3rMEvWUfvCME4ckzLqmvlSt1BJIcPDabsABBZTUf9M3pXc
 zQjtg89ghJAX/ehEd3DPLlgwofdixztYXpaW0swJEu0aLr7EaS2o/+OGCFfzCOsDDB8J
 atcHSIVQbQQ+dSrC248JtzvBksnybYMlfaVqYvcjbXQbVHEURxGXWhGfOnAEn9R+OfdX
 WUSw+L8TJlot/g3E9Xd6kgHqXz2eLnVoIwS9Qmsp5DJdfLhtgy+DIYwobaH51/dRXggj
 fD5g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to;
 bh=s570RPX0BDY6bC7/UwM56BmnF7mrZ2M74CV1M3KC7fs=;
 b=iLqNv9C+GniRT1J311sU5QAxzKTBxp2U+5XMd6c22Jy6mb4mMlxvm5dRv3J3W9iQFQ
 NYymxvf97IT7pbIgaORvPNj+nPTkzKmAFOisGv5KgUE9BQbnewUeS/GrUrx/pGq4lz8d
 3MndI2U/COFCt+slpiR0YNU/Q8R0GhWNLlgBrK7fpsnc8ksStiNj3caYX0JM35uSkhzs
 cEdhIwheRPyOWF+DlRATBEhS9cdp5svUsN1LgvDoFDTaU1RsIZ3zhbruldf57/rE1vU9
 eyF7D+Eo8R5xPXecx6uO6Rm+kkJN7o1KXYZdT+bGkP+uuSDCWomW0rwsFweZhnJRieud
 e9tg==
X-Gm-Message-State: AOAM5336BgsjgehLITmJjcTJnGNef2kVueLdAhA2bfMl2m2uYeECjjrJ
 PFL+wZCgFxSTiwzlslv7FwpPz2V8H+aOZ9BlMMQ/p80Z
X-Google-Smtp-Source: ABdhPJz4RVU0ML3ESZu5aQTuSGp8l1cSgM8iJ6DB8Dhf3cMg65vPoIberZOKb5NvtUn6YMfFWA0Uyz/8S4sgaAKdqfE=
X-Received: by 2002:a17:906:3e4b:: with SMTP id
 t11mr4689702eji.420.1602868444141; 
 Fri, 16 Oct 2020 10:14:04 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 16 Oct 2020 10:13:58 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <874kn0ympd.fsf@HIDDEN>
References: <874kn0ympd.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 16 Oct 2020 10:13:58 -0700
Message-ID: <CADwFkmmQ3m4ktMG7Wt=Gk1aH3bn0JCffNaLm7Vbe-2frNCFE8w@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
To: Protesilaos Stavrou <info@HIDDEN>, 43944 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Protesilaos Stavrou <info@HIDDEN> writes:

> + The two themes are also available in GNU ELPA.  What is the best way
>   to ensure that we sync between emacs.git and elpa.git?  GNU ELPA has
>   hitherto pulled from dedicated branches on my upstream git repository.
>   Maybe it would be better/easier to start building directly from the
>   Emacs source?  This would reduce the overall workload.

What does "start building directly from the Emacs source" mean here?

FWIW, I don't think we should feel too bound to any particular process;
this seems like a practical matter where we should try to do whatever
is most practical.

> + Sending attachments with large diffs has the downside of losing the
>   commit history.  Do Emacs maintainers wish to keep track of it?  If
>   so, what would be the best way to preserve it, seeing as I am
>   developing them on my own upstream?

I don't think we generally worry about preserving history for packages
managed externally.  We just sync the latest version.

(If one really would like to preserve it, it could perhaps be done with
some git magic.  I'm not sure it's worth the extra effort.)

> + Should the texinfo file be mentioned in the NEWS entry about the two
>   themes?  The attached patch does not include such a change.

We could of course add a NEWS entry for it.  Would you like to propose
one?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 16 Oct 2020 15:30:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 11:30:24 2020
Received: from localhost ([127.0.0.1]:60567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTRgW-0000VC-LQ
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2020 11:30:24 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kTRgV-0000Uv-89
 for 43944 <at> debbugs.gnu.org; Fri, 16 Oct 2020 11:30:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34625)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kTRgP-00015t-NR; Fri, 16 Oct 2020 11:30:17 -0400
Received: from [176.228.60.248] (port=1567 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kTRgJ-0002ki-0D; Fri, 16 Oct 2020 11:30:13 -0400
Date: Fri, 16 Oct 2020 18:30:09 +0300
Message-Id: <83mu0mur26.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
 (message from Stefan Kangas on Fri, 16 Oct 2020 06:46:31 -0700)
Subject: Re: bug#43944: 28.0.50;
 Update modus-operandi, modus-vivendi themes to v0.13.0
References: <draft-87v9ffz1wx.fsf@HIDDEN>
 <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43944
Cc: info@HIDDEN, 43944 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefankangas@HIDDEN>
> Date: Fri, 16 Oct 2020 06:46:31 -0700
> 
> I also made the followup commit 6d4f57dbdf that adapts the new Info
> manual to better fit Emacs conventions.  Please see the attached patch.

Please note that I made further changes to the manual, to adapt it to
our conventions and standards.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 16 Oct 2020 13:46:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 09:46:39 2020
Received: from localhost ([127.0.0.1]:58245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTQ47-0001Td-H8
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2020 09:46:39 -0400
Received: from mail-ej1-f46.google.com ([209.85.218.46]:37568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kTQ45-0001TQ-QQ
 for 43944 <at> debbugs.gnu.org; Fri, 16 Oct 2020 09:46:38 -0400
Received: by mail-ej1-f46.google.com with SMTP id e22so3274330ejr.4
 for <43944 <at> debbugs.gnu.org>; Fri, 16 Oct 2020 06:46:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to;
 bh=tWkJCBLWtJS5DO0OjlGuT95D0IN9CDyWbPg9eaPgC88=;
 b=cniauNmnP69neVwA6oSPs9peeEIXLjNHQLhUVhRbkORDQ73Ze1xp5I7m4Rjj656iT7
 KPN+HZbuUOwcEwr2dLQ30Q6lRg/VEIeH/ozYV3gbVo6OF9oUHxSZBTL44PqneOkDAiPj
 5eb9iSeFnVO8YE5gDUlAEtrru0heb6Al7tzhaCFjyxEuTghuQMDz+6U/fN6caNCsHkFi
 geATZUht4bH1069lOXMaKSp+WTxnF6M92+JKsKwmey1C8sDK/ZYQdV49KCzsh+FvxQ/E
 aFNFMBxONGAoiFpMeHp8Bwi5yNdr/3He2XsKn0wFhD4jssoT0w9hSU8HeQufAo9aqSkJ
 k3SQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to;
 bh=tWkJCBLWtJS5DO0OjlGuT95D0IN9CDyWbPg9eaPgC88=;
 b=M+oErWLX4KWg7QfG9KUIY1W9If3VcPjmZ52HUaqeMAracMqLzfCQdCxjiKo//iIO5G
 ar8z6CBR8rvh9D1DhApdh2yAawrbw/065mWnQoYGzPXfgNdJxIWcxhvg/WB+ONulHi07
 ISzTcFFAhTbomevEIOMiNe/ufvt/a8qoxe/xqlBrU3XVfKjNyxAa3N0+z2zDNEfsHgll
 p4ogl53+jgQjBaC1rs6/oIHl5DxY1rIfGSx0DiAslpsRdWndwiDmZw268Qi04Oaaz971
 IA1kmpGJwc3Ve5IHRZ89vs9nZidtKOx/W278iOkKo6cb2cdgh/nzc3rJsUPZrfYBpHjn
 qMvg==
X-Gm-Message-State: AOAM531W8AM074R9TNub2xaHifTAvIGdgmPb9DpYJrU05QTjuSgi8ux7
 FfI9lnjHJDClLXUEyr9VkqUJ23KkcIyVh1mjq60=
X-Google-Smtp-Source: ABdhPJwAlIoI0nlMPkV1xrEyb6RMv1XhOYUn7rJrOfVh3le1GORJ7hDsOhAotBm0C/f+5k9x2gUTe0tBXkZvJSQqQk8=
X-Received: by 2002:a17:906:1957:: with SMTP id
 b23mr3733855eje.312.1602855991947; 
 Fri, 16 Oct 2020 06:46:31 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 16 Oct 2020 06:46:31 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <draft-87v9ffz1wx.fsf@HIDDEN>
References: <draft-87v9ffz1wx.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 16 Oct 2020 06:46:31 -0700
Message-ID: <CADwFkmnNdhnr4YR3EUZ+ahQ5oCHGnRu0dWPhwsRauzJqQKo4ag@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
To: Protesilaos Stavrou <info@HIDDEN>, 43944 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary="00000000000006cce505b1c9feba"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000006cce505b1c9feba
Content-Type: text/plain; charset="UTF-8"

Stefan Kangas <stefankangas@HIDDEN> writes:

> Protesilaos Stavrou <info@HIDDEN> writes:
>
>> Commit c1b0515952 to Emacs 'master' on August 27 added two new themes.
>> Their version was 0.12.0.  A new version is now available, as well as a
>> texinfo file that documents all their customisation options.  Please see
>> the attached patch.
>
> Thanks.
>
> The patch doesn't apply cleanly here, I guess due to some ^M characters
> that sneaked in:

I fixed that, reviewed the changes and pushed your patch to master as
commit ad0643e580.

I also made the followup commit 6d4f57dbdf that adapts the new Info
manual to better fit Emacs conventions.  Please see the attached patch.

--00000000000006cce505b1c9feba
Content-Type: text/x-diff; charset="US-ASCII"; 
	name="0001-Fix-building-modus-themes-Info-manual.patch"
Content-Disposition: attachment; 
	filename="0001-Fix-building-modus-themes-Info-manual.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: 93b98cd5ef4e8007_0.1
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--00000000000006cce505b1c9feba--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at 43944 <at> debbugs.gnu.org:


Received: (at 43944) by debbugs.gnu.org; 16 Oct 2020 10:50:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 06:50:35 2020
Received: from localhost ([127.0.0.1]:57844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTNJj-0000sN-01
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2020 06:50:35 -0400
Received: from mail-ej1-f49.google.com ([209.85.218.49]:44288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kTNJh-0000sB-9E
 for 43944 <at> debbugs.gnu.org; Fri, 16 Oct 2020 06:50:33 -0400
Received: by mail-ej1-f49.google.com with SMTP id a3so2413258ejy.11
 for <43944 <at> debbugs.gnu.org>; Fri, 16 Oct 2020 03:50:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :content-transfer-encoding;
 bh=ruBafMsrSSpjWwaSUQlf2f4niRUe1rldiAXQbUKsPTg=;
 b=ePDSNIozl8fdCC79jVNWgVvDVDx58TkcvntFJHe8lMSAbJwM3702gDo8uPgFuXQBJw
 1cjlffb1iVv1b+kY2ot1U9Vcb+5/HEUASJveXYGIhaAWfxQ2ikAde7jMoEL7N/A9bWlg
 FuqXGRNwbJ3SIjHYt9irVDJng2QooxRDfE6p5ch+d0KBEYyLw82O1poP3PwK9Adu2zjF
 zxglb/83yNZs+XZ0aKx+NIFG9LhDgxqBeDkZRD8U/LIqy+fScqb1hmSPptoCumCShPok
 bbCjiLpy+UypLeIME8WFa4wMlC5tO/WVhVkS1LTo/SA8pSKJiwJTjPMGv1kKtoBipUfw
 n1kQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:content-transfer-encoding;
 bh=ruBafMsrSSpjWwaSUQlf2f4niRUe1rldiAXQbUKsPTg=;
 b=lUR183gSN9wcBwhVqBKq7iDcCEKYvFHZz1Zg7mMOWUG1gAPGgIcrVrrFS4jQ2bMQgD
 AjdmKBFa8hfWTSAJa9eEsGBF82n954Be4BWhpIfklKqEtamMtc+WpGhDEa9RKcu+A7b4
 a7wItYIa09x3slvL3QM/iiKFRkWQu9+5X3fSlNLyf7PO0UkdM4KBgPx1ktu0AuxgrWrE
 5j2fGxEIuhuZcLaUfKgb4eYapxTZc4EJ7YeFwKWoy8o9OKmT5leoDmZfOp6cSVCYdh7Y
 VVWP/ZEJEEmTMBH/vQNMSVMkeBEE0Fod0n1Wn1iNUcXVAMwZ8Sd41Re7IHBcuKnWmoQl
 i3FA==
X-Gm-Message-State: AOAM533IXZCWocbVf5fmbb7HLNWzlhD1akc8o5nQrukbMLvHtuUommf0
 t86l1maiaLuaAocORUwaZyfTLu18S91ZGKqCyHM=
X-Google-Smtp-Source: ABdhPJwrrqibT+pK/rpQvett/jJq7XSYTW7y605tE3q3AZWGI1eUf02ZRdlQgkgkP2ys7wCAe7piWnUgmg8DURUkcqo=
X-Received: by 2002:a17:906:bc91:: with SMTP id
 lv17mr3107921ejb.249.1602845427276; 
 Fri, 16 Oct 2020 03:50:27 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 16 Oct 2020 03:50:26 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <874kn0ympd.fsf@HIDDEN>
References: <874kn0ympd.fsf@HIDDEN>
MIME-Version: 1.0
Date: Fri, 16 Oct 2020 03:50:26 -0700
Message-ID: <CADwFkmny-9Jzz5pjkh9svgG5n8d0VshYNYjLNDPGAHZn3ykjtQ@HIDDEN>
Subject: Re: bug#43944: 28.0.50; Update modus-operandi, modus-vivendi themes
 to v0.13.0
To: Protesilaos Stavrou <info@HIDDEN>, 43944 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43944
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Protesilaos Stavrou <info@HIDDEN> writes:

> Commit c1b0515952 to Emacs 'master' on August 27 added two new themes.
> Their version was 0.12.0.  A new version is now available, as well as a
> texinfo file that documents all their customisation options.  Please see
> the attached patch.

Thanks.

The patch doesn't apply cleanly here, I guess due to some ^M characters
that sneaked in:

128 git =E2=80=A6 apply --3way --
/home/skangas/wip/emacs/0001-Update-modus-operandi-modus-vivendi-to-0.13.0.=
patch
/home/skangas/wip/emacs/0001-Update-modus-operandi-modus-vivendi-to-0.13.0.=
patch:25:
trailing whitespace.
\input texinfo    @c -*- texinfo -*-
/home/skangas/wip/emacs/0001-Update-modus-operandi-modus-vivendi-to-0.13.0.=
patch:26:
trailing whitespace.
@c %**start of header
/home/skangas/wip/emacs/0001-Update-modus-operandi-modus-vivendi-to-0.13.0.=
patch:27:
trailing whitespace.
@setfilename modus-themes.info
/home/skangas/wip/emacs/0001-Update-modus-operandi-modus-vivendi-to-0.13.0.=
patch:28:
trailing whitespace.
@settitle Modus themes for GNU Emacs
/home/skangas/wip/emacs/0001-Update-modus-operandi-modus-vivendi-to-0.13.0.=
patch:29:
trailing whitespace.
@documentencoding UTF-8
error: corrupt patch at line 2867

(This could be fixed using something like `tr -d '^M'`, I think.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Oct 2020 06:37:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 02:37:23 2020
Received: from localhost ([127.0.0.1]:41459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRrSV-0004F0-CH
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 02:37:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:55736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kRrST-0004Et-Ri
 for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 02:37:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58264)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <info@HIDDEN>)
 id 1kRrST-0006wZ-Js
 for bug-gnu-emacs@HIDDEN; Mon, 12 Oct 2020 02:37:21 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:58183)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <info@HIDDEN>)
 id 1kRrSM-0002k3-NF
 for bug-gnu-emacs@HIDDEN; Mon, 12 Oct 2020 02:37:21 -0400
X-Originating-IP: 213.207.159.14
Received: from kronos (unknown [213.207.159.14])
 (Authenticated sender: public@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id C078A240003
 for <bug-gnu-emacs@HIDDEN>; Mon, 12 Oct 2020 06:37:04 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Update modus-operandi, modus-vivendi themes to v0.13.0
Date: Mon, 12 Oct 2020 09:37:02 +0300
Message-ID: <874kn0ympd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: none client-ip=217.70.183.193; envelope-from=info@HIDDEN;
 helo=relay1-d.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/12 02:37:09
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: 14
X-Spam_score: 1.4
X-Spam_bar: +
X-Spam_report: (1.4 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_MSPIKE_H3=-0.01,
 RCVD_IN_MSPIKE_WL=-0.01, RCVD_IN_SBL_CSS=3.335, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

Commit c1b0515952 to Emacs 'master' on August 27 added two new themes.
Their version was 0.12.0.  A new version is now available, as well as a
texinfo file that documents all their customisation options.  Please see
the attached patch.

Now some administrative considerations:

+ The two themes are also available in GNU ELPA.  What is the best way
  to ensure that we sync between emacs.git and elpa.git?  GNU ELPA has
  hitherto pulled from dedicated branches on my upstream git repository.
  Maybe it would be better/easier to start building directly from the
  Emacs source?  This would reduce the overall workload.

+ Sending attachments with large diffs has the downside of losing the
  commit history.  Do Emacs maintainers wish to keep track of it?  If
  so, what would be the best way to preserve it, seeing as I am
  developing them on my own upstream?  For context, the Leuven theme,
  which is also developed externally, only gets updated in relatively
  large increments, such as in commits to Emacs 'master' 99f8a1c917,
  b5ccc1beb3, and 95e509140e.

+ Should the texinfo file be mentioned in the NEWS entry about the two
  themes?  The attached patch does not include such a change.

I am prepared to do whatever the maintainers consider necessary.  Thank
you for your time!

Best regards,
Protesilaos

-- 
Protesilaos Stavrou
protesilaos.com

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment;
 filename=0001-Update-modus-operandi-modus-vivendi-to-0.13.0.patch
Content-Transfer-Encoding: base64
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--=-=-=--




Acknowledgement sent to Protesilaos Stavrou <info@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43944; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 19 Oct 2020 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.